#! /bin/bash
#This recipe was adapted from the default and conda-forge recipes

if [ "$(uname)" = "Darwin" ] ; then
    CONDA_BUILD_SYSROOT=/opt/MacOSX10.9.sdk
    XWIN_ARGS="--with-x --x-includes=/opt/X11/include --x-libraries=/opt/X11/lib"
    #Issue with competing X11 libs (from tk)
    rm -rf $PREFIX/include/X11
    rm -rf $CONDA_PREFIX/include/X11
elif [ "$(uname)" = "Linux" ] ; then
    XWIN_ARGS="--with-x"
    export PATH="$PATH:$PREFIX/$HOST/sysroot/usr/bin"
fi

#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $PREFIX -name '*.la' -delete
find $CONDA_PREFIX -name '*.la' -delete

./configure --prefix=${PREFIX} ${XWIN_ARGS} || { cat config.log; exit 1; }

make -j${CPU_COUNT} ${VERBOSE_AT}
make install

find $PREFIX -name '*.la' -delete
